LINUX.ORG.RU

Тёмная тема для gtk2/gtk3 + qt4

 ,


0

1

ubuntu 12.10

Хочу такое: тёмная тема для gtk2 и gtk3 (версия 3.6, насколько я понимаю) + как её установить для qt4? Ну, например, в кедах. Через qtconfig и qt4-qtconfig указывал gtk+, нужного эффекта не получил.

Что имеется: большинство тем светлые, нормальных тёмных мало, а уж среди этих немногих найти тему, которая умеет и gtk2 и gtk3 - уже проблематично. Разве зоопарк, gtk2, gtk3.4, gtk3.6 + qt4. И меня потом ещё спрашивают, что плохого мне сделал гном?

qtcurve для gtk3 нет. А как насчёт какого-нибудь экспортёра из gtk2 в gtk3 или наоборот? Есть что-то такое?

Надо скастовать Фрактала сюда: Kindly_Cat

★★★★

Ответ на: комментарий от ekzotech

Да, тема тёмная, но, во-первых, на gtk3 у меня нет ни одного приложения, во-вторых - у меня применяются кдешная тема к gtk-прогам, а не наоборот.

Или у тебя как у Ъ use-флаг -gtk3? =)

Да, этот флаг выключен, только это уже давно не помогает :)

Kindly_Cat ()
Ответ на: комментарий от Kindly_Cat

у меня применяются кдешная тема к gtk-прогам, а не наоборот.

А можно ли наоборот сделать? Чтоб gtk-тема применялась к qt? В кедах же.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

Хотя вот:

[ebuild   R    ] x11-libs/qt-gui-4.8.4:4  USE="accessibility dbus exceptions gif glib mng qt3support tiff xv (-aqua) -c++0x -cups -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama" 0 kB

gtkstyle - это как раз для натягивания на qt-приложения gtk-тем.

Kindly_Cat ()
Ответ на: комментарий от templarrr

Так в qtconfig и systemsettings выбрать gtk+. Если не подхватывает, убедись, что в .gtkrc-2.0 правильно прописана gtk тема.

Вроде правильно. А как определяется эта правильность то? Имя папки с темой? Или ещё как-то?

Не подхватывается. Голый qt без темы (внешний вид как у gtk без темы становится).

ekzotech ★★★★ ()
Ответ на: комментарий от bsdfun

Пробовал, тема вроде бы подхватывается, но выглядит довольно криво.

Хочется просто нормальную тему. Без всяких закосов под 3д и прочую шелуху.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

А как определяется эта правильность то? Имя папки с темой?

Да вроде да. Qt-проги при запуске какую-то ошибку в консоль пишут?

templarrr ★★★★★ ()
Ответ на: комментарий от hibou

Давай тему пили.

А есть тулзы для человеков, чтоб запилить сразу тему под gtk2/gtk3 и qt4 ?

// P.S. Меня всё ещё не отпускает от этого зоопарка тулкитов. Это ж мракобесие какое-то.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

нету таких, потому что темы в кутях и гытыка (особенно третьем) используют принципиально разные подходы.

leave ★★★★★ ()
Ответ на: комментарий от leave

нету таких, потому что темы в кутях и гытыка (особенно третьем) используют принципиально разные подходы.

Понятное дело разные, просто за столько времени пора уже придумать какой-нибудь экспортер из одной темы в другую. Сколько можно страдать?

Или у разработчиков каждый тулкит выглядит по-своему?

Эх, нет предела упоротости разработчиков гнома. Как ни крути.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

Эх, нет предела упоротости разработчиков гнома. Как ни крути.

Как раз разработчики Gtk+ пошли по понятному пути, для описания тем используется CSS.

hippi90 ★★★★★ ()
Ответ на: комментарий от hippi90

Как раз разработчики Gtk+ пошли по понятному пути, для описания тем используется CSS.

Ага, и весь мир ВНЕЗАПНО перешёл на gtk3 и забыл про gtk2, и вообще темы для старых тулкитов ненужны. Ну и мимоходом, 3.2, 3.4 тоже ненужны, да?

ekzotech ★★★★ ()

Используешь DE? Тогда указывай темы гытыков в gconf. ЕМНИП Qt берёт тему и оттуда.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.